Bug 138478 - lvcreate fails when using striping
lvcreate fails when using striping
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-09 10:23 EST by Simon Andrews
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 11:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Example session showing the failure (1008 bytes, text/plain)
2004-11-09 10:25 EST, Simon Andrews
no flags Details

  None (edit)
Description Simon Andrews 2004-11-09 10:23:42 EST
Description of problem:

lvcreate fails when using striping but completes if this is omitted.


Version-Release number of selected component (if applicable):

lvm2-2.00.15-2


How reproducible:

Always

Steps to Reproduce:
1. Initialise multiple disks with pvcreate
2. Create new volume group with vgcreate
3. Run vgdisplay then try to create a striped volume covering the
entire extent of the group using the free size reported.  
  
Actual results:

Creation fails citing a requirement for less allocatable extents than
are listed as free by vgdisplay

Expected results:

Creation should succeed.


Additional info:
Comment 1 Simon Andrews 2004-11-09 10:25:40 EST
Created attachment 106344 [details]
Example session showing the failure
Comment 2 Alasdair Kergon 2004-11-09 12:06:03 EST
 Total PE              122506

which is not divisible by 4, so your disks can't be identical in size.

You can only have 4-way striping until you've filled your smallest disk.

Note You need to log in before you can comment on or make changes to this bug.